Subject: Re: bug#31094: 25.2: Feature Reuqest: apropos-value: limit scope [CODE INCLUDED]

From: Juri Linkov <[email-masked]>
Date: Mon, 24 Jan 2022 19:58:25 +0200

> (Outline minor mode should grow support for non-regexp outlines,
> though -- in these read-only buffers where we're generating the
> contents, it would be way more convenient if the generator did the
> markup.  I.e., put a `outline-header' text property on the header, or
> something like that.)

In read-only buffers outline-minor-mode-highlight-buffer currently does:

    (let ((regexp (concat "^\\(?:" outline-regexp "\\).*$")))
      (while (re-search-forward regexp nil t)
        (let ((overlay (make-overlay (match-beginning 0) (match-end 0))))

but can use anything including special properties instead of regexps.